pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1


interface Network {
	event Conversion(
		address indexed _smartToken,
		address indexed _fromToken,
		address indexed _toToken,
		uint256 _fromAmount,
		uint256 _toAmount,
		address _trader
	);
	function convert(address) external view returns (address);
	function rateByPath(address,uint256) external view returns (uint256);
}
